﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using C1.Xamarin.Forms.Grid;

namespace PerformanceC1
{
    public partial class MainPage : ContentPage
    {
        Stopwatch sw;
        public MainPage()
        {
            InitializeComponent();
            //this.Appearing += OnAppearing;
            sw = System.Diagnostics.Stopwatch.StartNew();
            var cl = Customer.GetCustomerList(10000);
            System.Diagnostics.Debug.WriteLine("Generation time: " + sw.Elapsed);
            sw.Stop(); 
            var grid = new FlexGrid();
            Panel.Children.Add(grid);
            sw.Restart();
            grid.ItemsSource = cl;
            System.Diagnostics.Debug.WriteLine("Load time: " + sw.Elapsed);
            sw.Restart();
            this.Appearing += (sender, e) =>
                  System.Diagnostics.Debug.WriteLine("Load & render time: " + sw.Elapsed);
        }
    }
}
