﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace PerformanceXuni
{
    public partial class App : Application
    {
        public App()
        {
            InitializeComponent();
            Xuni.Forms.Core.LicenseManager.Key = License.Key;
            MainPage = new NavigationPage(new PerformanceXuni.MainPage());
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }

    }
    public static class License
    {
        public const string Key =
            "ACYBJgImB45QAGUAcgBmAG8AcgBtAGEAbgBjAGUAWAB1AG4AaQCGDejYYrs+h0vW" +
            "Qt0I2PF7GtipN5uHGyd8xARw24uKBc+fFAthZrxvmDb7pbDXytGR7IaunwcsweAy" +
            "aZ8LTCR4+7dTnjnCNoybEzHMLuGEibIycf4Wf3OhrcooNEgYhTI5r0mqYtrGkg/7" +
            "gh3aOC/BX0uoxPmdqVZJXdcYDFFi8QtecVkFIDzpyDOUEcfFWQTydChIP40qbIRf" +
            "YijbyhhDCm6C6oAIuPmpPQLDPjwo9h3VdN4xrsANxYq+luIigWY104cJPVS8yPtW" +
            "5KkM3nIGC6l3Cgo0yoS3Ay+kzUxUZsfxRN5F1KSFWJ4v1LfmE86g3gf8aJUWXc5T" +
            "4Okm6OsYqX4k+mIcBUMUF1V1oSufj+G0bqNOTD35R1702uVnU2Qxg+c3OX+KFOcz" +
            "C4bNJrmKAKcnOApQ2rLFlWGGeRDhf84fol/AOcZh8lrRwmFv58MS69uVS+/1Ghs6" +
            "Xh3nbNNSjSFEVi+jOKsbD4KZJNcpe3UjY3fVeeqxJvUjSJLBbKdIVctm8MrC78qn" +
            "URSR3w7EYfOvbHM5pckpwISJYDdmqm1JcluStJYB5iphC5j/G60bCEvEem2SDAf4" +
            "7lV0xvS1fA8aqrlDyNJrdBB2qQECKoWkZ7Zr8GPGt7oBVWQEDgDPv7Gj3DyoNR9B" +
            "GT/UkYnpSnC3jqMQ9ne1ezqR/ACEJDCCBWQwggRMoAMCAQICECIQshdLCxJ/uygF" +
            "LhGzJQowDQYJKoZIhvcNAQEFBQAwgbQxCzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5W" +
            "ZXJpU2lnbiwgSW5jLjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1c3QgTmV0d29yazE7" +
            "MDkGA1UECxMyVGVybXMgb2YgdXNlIGF0IGh0dHBzOi8vd3d3LnZlcmlzaWduLmNv" +
            "bS9ycGEgKGMpMTAxLjAsBgNVBAMTJVZlcmlTaWduIENsYXNzIDMgQ29kZSBTaWdu" +
            "aW5nIDIwMTAgQ0EwHhcNMTMwOTI0MDAwMDAwWhcNMTYxMDIzMjM1OTU5WjCBpzEL" +
            "MAkGA1UEBhMCVVMxFTATBgNVBAgTDFBlbm5zeWx2YW5pYTETMBEGA1UEBxMKUGl0" +
            "dHNidXJnaDEVMBMGA1UEChQMQ29tcG9uZW50T25lMT4wPAYDVQQLEzVEaWdpdGFs" +
            "IElEIENsYXNzIDMgLSBNaWNyb3NvZnQgU29mdHdhcmUgVmFsaWRhdGlvbiB2MjEV" +
            "MBMGA1UEAxQMQ29tcG9uZW50T25lMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB" +
            "CgKCAQEAucugmqlJVWqckvNrTmVMhxqRy/KXt3EHFn5zCTgKqTr5RoLp/lnku9EP" +
            "X4CGIBG6UiAju8+CQJ/5zzeI5WJBbIm5cUkycZq9rcBnpf+jQNpSrNjMU5bP8ysD" +
            "M4m9gy2uP81P2bwFZ6L5SRjU1ZTK2JJrQkg1i3nmL8XO3Fe0/srbsuPdljDBSQ0s" +
            "4onh/6qRHRBKfKBhRBDIwM4uDm99iQMt1RCQ2t60FPYlnrHp2Q1wKmJ/l1tnTUw4" +
            "UQSNkmUZ2e+t6e45h/DkI2WgNIJHO21Inz0m0k6NDHKsFB/XKU5eiJcI+nMBcJTZ" +
            "IX91hdKKZUzylPQ1nulQ0bUf4DPacwIDAQABo4IBezCCAXcwCQYDVR0TBAIwADAO" +
            "BgNVHQ8BAf8EBAMCB4AwQAYDVR0fBDkwNzA1oDOgMYYvaHR0cDovL2NzYzMtMjAx" +
            "MC1jcmwudmVyaXNpZ24uY29tL0NTQzMtMjAxMC5jcmwwRAYDVR0gBD0wOzA5Bgtg" +
            "hkgBhvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxodHRwczovL3d3dy52ZXJpc2lnbi5j" +
            "b20vcnBhMBMGA1UdJQQMMAoGCCsGAQUFBwMDMHEGCCsGAQUFBwEBBGUwYzAkBggr" +
            "BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29tMDsGCCsGAQUFBzAChi9o" +
            "dHRwOi8vY3NjMy0yMDEwLWFpYS52ZXJpc2lnbi5jb20vQ1NDMy0yMDEwLmNlcjAf" +
            "BgNVHSMEGDAWgBTPmanqeyb0S8mOj9fwBSbv49KnnTARBglghkgBhvhCAQEEBAMC" +
            "BBAwFgYKKwYBBAGCNwIBGwQIMAYBAQABAf8wDQYJKoZIhvcNAQEFBQADggEBAGHN" +
            "VjnOPBgAWOYhrYlJZup5dDWOt/ajkOhFhaAj/7gsSkn5Taj5UAjmQhhI0anliOrt" +
            "e9CiyOz8Lqp3Cl9N3duHaUQRHhcJHOmj7gcr1bHCPQPw/VShSfjcuOVswH8bNFGE" +
            "2rQE34ROUPT4F6OymhSyx3kZGEYs05ea0NX739ruPuH23kkQyT74luXKxV7pSlyC" +
            "2hj1eC5kuybkM6FBPRAiWA4grVBKX/CGIoZ08F8PmM3j9IewZVRs+kL4/GOHnJP8" +
            "tKb342qT63MxBByltN94sqz2QuCwbhSj1+yDnA6XgU3gIEejYItcSq2uLLf/+ulQ" +
            "w661UqabVrAeGAaqy4UwggK4MIIBoKADAgECAghH8wKQDya2RDANBgkqhkiG9w0B" +
            "AQUFADAcMRowGAYDVQQDDBFHQy1TVTExNzAwLTY1NDE1MTAeFw0xNzAxMDEwMDAw" +
            "MDBaFw0xODA0MzAwMDAwMDBaMBwxGjAYBgNVBAMMEUdDLVNVMTE3MDAtNjU0MTUx" +
            "MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAn0a33t5Ct9z9qUpSYrh6" +
            "qFu82hqHWZrVmL7EjBnOXwyqM0XnMx6tiwmTnfr0SB7kOBcUszLcUna+e9E2SQlx" +
            "JKIckVTZchb4m54vglhu4y1HiSF5R7UXQnBkAXWAXPxcuMuZ4TN+heRYPZmsLjiM" +
            "1vWDGXh8o45Nv39cKZCpTpfS8Hz5ifiWmDu2DWtSQS6JmAP1sdH5okMYvT8tZfON" +
            "uaEGFjr5VCYgH/y+5bW+AZz1KwD5XNa2+zKW7J6FrSZMzKhTU4hh5/8Wy1F0W+v2" +
            "l+YJ1tLt0uNAhYHngOEHbF2yMpFSNbwt4FaqNAiqpcJvonc2+LzepOQofsDX9lGq" +
            "xQIDAQABMA0GCSqGSIb3DQEBBQUAA4IBAQCd8rwdO1UFs2ef9Mj+KtTWrfNo817f" +
            "7s3AI/qhSHiLiI0hZSMyfFt+JC74UHm8VQPKA4ryPhAQo7nEOFM5Nb6ZC9tpZmuT" +
            "ma8f5HdUA0EzdcAag1XGXQTN0Gcq+bCoBaPJT53HPW6CZ795TCyAncSNhlNd55mx" +
            "aXe2clY3+7LpIB4uZOX1bTIN9NNeynIZBlvf0Tsseadu9t2Et24hqSCQ/2GmHLsa" +
            "ZykSCLW1VzNPgKzyq8rFlMNjgTEJwC2a3cIy3abGh1gYFJKxSkeM6vM4sc3VZqFQ" +
            "jjl6toUDR7xBOZ/GSq51lIKG3e2GrNi2unGN8DEzi0otQ1WTPaLDmPQw";
    }
}
